Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cascading.operation
Class ConcreteCall<C>

    java.lang.Object
      cascading.operation.ConcreteCall<C>

All Implemented Interfaces:
  AggregatorCall<C>, BufferCall<C>, FilterCall<C>, FunctionCall<C>, GroupAssertionCall<C>, OperationCall<C>, ValueAssertionCall<C>

    public class ConcreteCall<C>

extends Object
implements FunctionCall<C>, FilterCall<C>, AggregatorCall<C>, BufferCall<C>, ValueAssertionCall<C>, GroupAssertionCall<C>

Class OperationCall is the common base class for `FunctionCall`, `FilterCall`, `AggregatorCall`, `ValueAssertionCall`, and `GroupAssertionCall`.

Constructor Summary
`ConcreteCall()` Constructor OperationCall creates a new OperationCall instance.
`ConcreteCall(Fields argumentFields)` Constructor ConcreteCall creates a new ConcreteCall instance.
`ConcreteCall(Fields argumentFields, Fields declaredFields)` Constructor ConcreteCall creates a new ConcreteCall instance.
`ConcreteCall(TupleEntry arguments, TupleEntryCollector outputCollector)` Constructor OperationCall creates a new OperationCall instance.

Method Summary
`Fields` | `getArgumentFields()` Returns the `Fields` of the expected arguments `TupleEntry`.
`TupleEntry` | `getArguments()` Returns `TupleEntry` of argument values.
`Iterator<TupleEntry>` | `getArgumentsIterator()` Returns an `Iterator` of `TupleEntry` instances representing the arguments for the called `Buffer.operate(cascading.flow.FlowProcess, BufferCall)` method.
`C` | `getContext()` Returns the user set context object, C.
`Fields` | `getDeclaredFields()` Return the resolved `Fields` declared by the current `Operation`.
`TupleEntry` | `getGroup()` Returns the current grouping `TupleEntry`.
`TupleEntryCollector` | `getOutputCollector()` Returns the `TupleEntryCollector` used to emit result values.
`boolean` | `isRetainValues()` Returns `true` if non-grouping fields will not be nulled after the argumentsIterator is completed.
`void` | `setArguments(TupleEntry arguments)`
`void` | `setArgumentsIterator(Iterator<TupleEntry> argumentsIterator)`
`void` | `setContext(C context)` Sets the user defined 'context' object.
`void` | `setGroup(TupleEntry group)`
`void` | `setOutputCollector(TupleEntryCollector outputCollector)`
`void` | `setRetainValues(boolean retainValues)` Set to `false` if at the end of all values iterated over in the argumentsIterator, the last seen argument tuple values should not be nulled out.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConcreteCall

    public ConcreteCall()

  Constructor OperationCall creates a new OperationCall instance.

### ConcreteCall

    public ConcreteCall(Fields argumentFields)

  Constructor ConcreteCall creates a new ConcreteCall instance.

  Parameters:
    `argumentFields` - of type Fields

### ConcreteCall

    public ConcreteCall(Fields argumentFields,
                        Fields declaredFields)

  Constructor ConcreteCall creates a new ConcreteCall instance.

  Parameters:
    `argumentFields` - of type Fields
    `declaredFields` - of type Fields

### ConcreteCall

    public ConcreteCall(TupleEntry arguments,
                        TupleEntryCollector outputCollector)

  Constructor OperationCall creates a new OperationCall instance.

  Parameters:
    `arguments` - of type TupleEntry
    `outputCollector` - of type TupleCollector

Method Detail

### getContext

    public C getContext()

  Description copied from interface: `OperationCall`
  Returns the user set context object, C.

  Specified by:
    `getContext` in interface `OperationCall<C>`
  Returns:
    user defined object
  See Also:
    `OperationCall.getContext()`

### setContext

    public void setContext(C context)

  Description copied from interface: `OperationCall`
  Sets the user defined 'context' object.

  Specified by:
    `setContext` in interface `OperationCall<C>`
  Parameters:
    `context` - user defined object

### getGroup

    public TupleEntry getGroup()

  Description copied from interface: `AggregatorCall`
  Returns the current grouping `TupleEntry`.

  Specified by:
    `getGroup` in interface `AggregatorCall<C>`
  Specified by:
    `getGroup` in interface `BufferCall<C>`
  Specified by:
    `getGroup` in interface `GroupAssertionCall<C>`
  Returns:
    TupleEntry
  See Also:
    `AggregatorCall.getGroup()`

### setGroup

    public void setGroup(TupleEntry group)

### getArgumentFields

    public Fields getArgumentFields()

  Description copied from interface: `OperationCall`
  Returns the `Fields` of the expected arguments `TupleEntry`.

  Specified by:
    `getArgumentFields` in interface `OperationCall<C>`
  Returns:
    the argumentFields (type Fields) of this OperationCall object.

### getArgumentsIterator

    public Iterator<TupleEntry> getArgumentsIterator()

  Description copied from interface: `BufferCall`
  Returns an `Iterator` of `TupleEntry` instances representing the arguments for the called `Buffer.operate(cascading.flow.FlowProcess, BufferCall)` method.

  Specified by:
    `getArgumentsIterator` in interface `BufferCall<C>`
  Returns:
    Iterator
  See Also:
    `BufferCall.getArgumentsIterator()`

### setArgumentsIterator

    public void setArgumentsIterator(Iterator<TupleEntry> argumentsIterator)

### getArguments

    public TupleEntry getArguments()

  Description copied from interface: `FunctionCall`
  Returns `TupleEntry` of argument values.

  Specified by:
    `getArguments` in interface `AggregatorCall<C>`
  Specified by:
    `getArguments` in interface `FilterCall<C>`
  Specified by:
    `getArguments` in interface `FunctionCall<C>`
  Specified by:
    `getArguments` in interface `GroupAssertionCall<C>`
  Specified by:
    `getArguments` in interface `ValueAssertionCall<C>`
  Returns:
    TupleEntry
  See Also:
    `FunctionCall.getArguments()`

### setArguments

    public void setArguments(TupleEntry arguments)

### getDeclaredFields

    public Fields getDeclaredFields()

  Description copied from interface: `FunctionCall`
  Return the resolved `Fields` declared by the current `Operation`.

  Specified by:
    `getDeclaredFields` in interface `AggregatorCall<C>`
  Specified by:
    `getDeclaredFields` in interface `BufferCall<C>`
  Specified by:
    `getDeclaredFields` in interface `FunctionCall<C>`
  Returns:
    Fields

### getOutputCollector

    public TupleEntryCollector getOutputCollector()

  Description copied from interface: `FunctionCall`
  Returns the `TupleEntryCollector` used to emit result values.

  Specified by:
    `getOutputCollector` in interface `AggregatorCall<C>`
  Specified by:
    `getOutputCollector` in interface `BufferCall<C>`
  Specified by:
    `getOutputCollector` in interface `FunctionCall<C>`
  Returns:
    TupleCollector
  See Also:
    `FunctionCall.getOutputCollector()`

### setOutputCollector

    public void setOutputCollector(TupleEntryCollector outputCollector)

### setRetainValues

    public void setRetainValues(boolean retainValues)

  Description copied from interface: `BufferCall`
  Set to `false` if at the end of all values iterated over in the argumentsIterator, the last seen argument tuple values should not be nulled out.

  By default, if a result is emitted from the Buffer before and after the argumentsIterator is started or completed, the last seen non-grouping values are null. When false, the values are not nulled after completion.

  The default is `true`.

  Specified by:
    `setRetainValues` in interface `BufferCall<C>`
  Parameters:
    `retainValues` - of type boolean

### isRetainValues

    public boolean isRetainValues()

  Description copied from interface: `BufferCall`
  Returns `true` if non-grouping fields will not be nulled after the argumentsIterator is completed.

  Specified by:
    `isRetainValues` in interface `BufferCall<C>`
  Returns:
    true

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007-2013 Concurrent, Inc. All Rights Reserved.